#
# Script to query weather at http://www.ilmatieteenlaitos.fi/ and at http://www.foreca.com/
#
# Copyright (c) 2006 JaTu
# * This program is free software; you can redistribute it and/or
# * modify it under the terms of the GNU General Public License
# * as published by the Free Software Foundation; either version 2
# * of the License, or (at your option) any later version.
#

## YOUR proxy. use "" if you don't have or want to use a proxy.
#set conf(proxy) "proxy.netsonic.fi:8080"
set conf(proxy) ""

## time to wait http transaction to complete before giving up (seconds)
## scripts using cellgen v2.0+ won't cause bot to ping out no matter how
## high this value is.
set conf(maxurlwait) 90

## http useragent (for identification).
set conf(useragent) "Mozilla/5.0"

## My defaults
set conf(default_company) "fmi"
# You may want to keep the .tcl-script encoded as this.
set conf(output_encoding) "utf-8"

## Chime weather information
# Once per 3 hours
set conf(cron_hourly) 3
set conf(cron_minute) "25"

## Sää URLs
## Finnish Meteorological Institute (FMI)
set conf(fmi_default_city) "Lappeenranta"
set conf(fmi_default_loc) "Lappeenranta"
set conf(fmi_city_list_url) "http://ilmatieteenlaitos.fi/suomen-havainnot"
set conf(fmi_city_url) "http://ilmatieteenlaitos.fi/saa/"
set conf(fmi_encoding) "utf-8"

## Foreca
set conf(foreca_default_city) "Lappeenranta"
set conf(foreca_city_list_url) "http://www.foreca.fi/Suomi/ennuste/1-3?c=fin"
set conf(foreca_city_url) "http://www.foreca.fi/Suomi/tasmasaa/"
set conf(foreca_minmax_url) "http://www.foreca.fi/Finland/Helsinki?trivia"
set conf(foreca_encoding) "utf-8"

## Tiehallinto
set conf(tieh_default_city) "Lappeenranta"
# There are 20 files with numbers 1 to 20. Example: tiesaa_maak_5.html
set conf(tieh_url) "http://www.tiehallinto.fi/alk/tiesaa/tiesaa_maak_"

## METAR, aviation weather
set conf(METAR_default_city) "Lappeenranta"
set conf(METAR_url) "http://weather.noaa.gov/pub/data/observations/metar/stations/"
set conf(METAR_city_file) "scripts/iSaa.METAR-cities.txt"

## channels to listen
## preferably do this via .chanset <channel> +iSaa
## if you cannot do this for some reason, you can do it from here
set conf(channels) {#mychannel}
